src/tgifoosball/urls.py
from django.urls import path, include
from tournament import views as tournament_views
from tournament import urls as tournament_urls

urlpatterns = [
    path('', tournament_views.home_page, name='home'),
    path('tournament/', include(tournament_urls)),
]

src/tournament/urls.py
from django.urls import path
from tournament import views

urlpatterns = [
    path('new', views.new_tournament, name="new_tournament"),
    path('<int:tournament_id>/', views.view_tournament, name='view_tournament'),
    path('<int:tournament_id>/add_player', views.add_player, name='add_player'),
]

src/tournament/models.py
from django.db import models

class Tournament(models.Model):
    pass

class Player(models.Model):
    name = models.TextField(default='')
    tournament = models.ForeignKey(Tournament, on_delete=models.CASCADE, default=None)

src/tournament/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponse
from tournament.models import Player, Tournament

def home_page(request):
    return render(request, 'home.html')

def view_tournament(request, tournament_id):
    tournament = Tournament.objects.get(id=tournament_id)
    return render(request,'tournament.html', {'tournament': tournament})

def new_tournament(request):
    tournament = Tournament.objects.create()
    Player.objects.create(name=request.POST['item_text'], tournament=tournament)
    return redirect(f'/tournament/{tournament.id}/')

def add_player(request, tournament_id):
    tournament = Tournament.objects.get(id=tournament_id)
    Player.objects.create(name=request.POST['item_text'], tournament=tournament)
    return redirect(f'/tournament/{tournament.id}/') 

src/tournament/templates/home.html
<html>
    <head>
        <title>T.G.I.Foosball</title>
    </head>
    <body>
        <h1>Start a new Tournament</h1>
        <form method="POST" action="/tournament/new">
            <input name="item_text" id="id_new_item" placeholder="Enter a new player name" />
            {% csrf_token %}
        </form>
    </body>
</html>

src/tournament/templates/tournament.html
<html>
    <head>
        <title>T.G.I.Foosball</title>
    </head>
    <body>
        <h1>T.G.I.Foosball Tournament Players</h1>
        <form method="POST" action="/tournament/{{ tournament.id }}/add_player">
            <input name="item_text" id="id_new_item" placeholder="Enter a new player name" />
            {% csrf_token %}
        </form>

        <table id="id_list_table">
            {% for player in tournament.player_set.all %}
                <tr><td>{{ forloop.counter }}: {{ player.name }}</td></tr>
            {% endfor %}
        </table>
    </body>
</html>